Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154017 - Kpanel crashes on modification of virtual desktop preferences.
Summary: Kpanel crashes on modification of virtual desktop preferences.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 16:00 UTC by Glenn Barrett
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 19:51:55 UTC


Attachments (Terms of Use)

Description Glenn Barrett 2005-04-06 16:00:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Kpanel crashes and KDE panels vanish when I changed Virtual Desktop to only show windows on each desktop in that desktop's panel.  Crashes on restart of x and even on reboot of system, panels do not reappear.  All applications still run fine, and even Alt+Tab will still shift through applications.  I even went in to kcontrol, the KDE control panel, and reset the modified virtual desktop preferences back to default, and this did not fix the problem.  This is a Fedora Core 3 distro, fully updated by way of up2date.  Note that the changing of these preferences is a basic routine task, and that I had actually set the desktops to something, and that worked fine, then changed my mind within a few minutes, made a minor adjustment to my desktop settings, which was setting it not to show only programs belonging to each desktop only in it's own taskbar, and that is when the crash occured.

Crash report results are as follows:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208232256 (LWP 4063)]
[KCrash handler]
#4  0x002785e8 in KCmdLineArgs::isSet () from /usr/lib/libkdecore.so.4
#5  0x0050e863 in MapWidget::load () from /usr/lib/kde3/ww_panelapplet.so
#6  0x0050abe9 in KWWApplet::KWWApplet () from /usr/lib/kde3/ww_panelapplet.so
#7  0x0050ad20 in init () from /usr/lib/kde3/ww_panelapplet.so
#8  0x00a1066c in PluginLoader::loadApplet () from /usr/lib/libkickermain.so.1
#9  0x003b865e in InternalAppletContainer::InternalAppletContainer ()
   from /usr/lib/libkdeinit_kicker.so
#10 0x003c0ccd in PluginManager::createAppletContainer ()
   from /usr/lib/libkdeinit_kicker.so
#11 0x003a7a65 in ContainerArea::loadContainerConfig ()
   from /usr/lib/libkdeinit_kicker.so
#12 0x003a9641 in ContainerArea::initialize ()
   from /usr/lib/libkdeinit_kicker.so
#13 0x003a0a99 in Panel::initialize () from /usr/lib/libkdeinit_kicker.so
#14 0x0039eb2c in Kicker::Kicker () from /usr/lib/libkdeinit_kicker.so
#15 0x0039d04c in kdemain () from /usr/lib/libkdeinit_kicker.so
#16 0x0034b6b0 in kdeinitmain () from /usr/lib/kde3/kicker.so
#17 0x0804dfb1 in ?? ()
#18 0x00000001 in ?? ()
#19 0x08eb4a28 in ?? ()
#20 0x00000001 in ?? ()
#21 0x08f42917 in ?? ()
#22 0x00000000 in ?? ()


Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce


Additional info:

Comment 1 Ngo Than 2005-04-06 17:02:18 UTC
i cannot reproduce this problem here. Could you please tell me which version
of kdelibs/kdebase/qt running on your machine? thanks



Comment 2 John Thacker 2007-01-13 19:51:55 UTC
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.